%define debug_package %{nil}

# if -hez a WATERMARK
%define watermark 1

# almappában vannak a fájlok ? 0 = nem 1=igen , HA kell a vízjel
%define subdir 1

%define framework plasma-wallpaper-other-smokyextra
# KŐTELEZŐ TARTALOM
Summary:        Plasma wallpapers collection from Smoky
Name:           %{framework}
Version:        0.1
Release:        %mkrel 1
License:        GPLv2+
Group:          System/Base
Source0:        Renegade-Wallpaperpack-Other.tar.gz
URL:            https://www.blackpantheros.eu
Source100:	blackPanther-logo_hu.png
Source1001:	blackPanther-logo.png
BuildArch:      noarch

BuildRequires:  kf5-macros
BuildRequires:  pngquant

# SIMA LEÍRÁS
%description
Plasma Extra wallpapers collection by Smoky Somogyi Zoltan

%files
%_kf5_datadir/wallpapers/*

#------------------- Kötelező vége -------

# művelet, előkészítés
%prep
# szetáp -q = csendben -n = a mappa neve amibe belelép a setup lefutás végén.
# ebben  az esetben a setup a kitömörítési művelet ami a SOURCE0-ra vonatkozik
%setup -q -n Renegade-Wallpaperpack-Other
# HA van patch akkor végrehajtja p1 paraméterrel, ha ninc akkor átlépi
%autopatch -p1

## a build szakasz a fordítás, gcc műveletek, átméretezés, stb  ami a ~/rpmbuild/BUILD mappában történik
%build 
## if = HA definició a watermark (vízjel) paraméterre. Ha a felső define watermark 0 akkor az endif szakaszig kihagyja! most 1
%if 0%watermark

%if 0%subdir
for D in * ;do
cd $D
%endif

for i in * ;do 
    pngquant $i
    mv -f $(echo $i | sed "s|.png$|-fs8.png|") $i
    #echo $i
    #size=$(echo $i | sed 's|.*/||' | awk -Fx '{print $1}')
    size=$(convert $i -print "%h\n" /dev/null)
    [ "x" = "x$size" ]&&size=1024
    echo 
    echo " ----- SIZE:$i $size ------"
    echo 
    if [ "$size" -ge 2000 ];then
    ## a SOURCE100 lesz rajt a képen ha van vízjel
    ## southwest = délnyugati tájolás southeast = délkelet
	composite -dissolve 90 -quality 90 -gravity southeast -geometry +80+80 \( %SOURCE100 -resize 100% \) $i $i
    elif [ "$size" -ge 1600 ];then
	composite -dissolve 90 -quality 90 -gravity southeast -geometry +80+80 \( %SOURCE100 -resize 60% \) $i $i
    elif [ "$size" -ge 1200 ];then
	composite -dissolve 90 -quality 90 -gravity southeast -geometry +80+80 \( %SOURCE100 -resize 53% \) $i $i
    elif [ "$size" -ge 1152 ];then
	composite -dissolve 90 -quality 90 -gravity southeast -geometry +80+80 \( %SOURCE100 -resize 50% \) $i $i
    elif [ "$size" -ge 1050 ];then
	composite -dissolve 90 -quality 90 -gravity southeast -geometry +80+80 \( %SOURCE100 -resize 45% \) $i $i
    elif [ "$size" -lt 1024 ];then 
	composite -dissolve 90 -quality 90 -gravity southeast -geometry +80+80 \( %SOURCE100 -resize 35% \) $i $i
    else 
	composite -dissolve 90 -quality 90 -gravity southeast -geometry +80+80 \( %SOURCE100 -resize 90% \) $i $i
     fi
done

%if 0%subdir
cd ..
done
%endif

%endif

## a install szakasz a telepítés, make install, áthelyezés, stb  ami a ~/rpmbuild/BUILDROOT mappában történik
##  és mindig a %%buildroot-ot kell definiálni a buildroot=programnév-verziószám-release (kb: walllpaper-1.0-1bP
%install

TMPFILE=/tmp/wallpnum
TMPNAME=/tmp/wallpnam
rm -f $TMPFILE
rm -f $TMPNAME

mkdir -p %buildroot%_datadir/wallpapers
imgpath="contents/images"
for D in * ;do
cd $D
for name in *.png ;do 
    %if !0%watermark
    pngquant $name
    mv -f $(echo $name | sed "s|.png$|-fs8.png|") $name
    %endif
    shortname=$(echo $name | sed 's|-.*||')
    [ $(cat $TMPNAME) != $shortname ]&&echo 0 > $TMPFILE
    [ ! -f $TMPFILE ]&&echo 0 > $TMPFILE
    echo $shortname > $TMPNAME
    dirchk () {
    if [ -d %buildroot%_datadir/wallpapers/$1 ] ;then
	num=$(expr $(cat $TMPFILE) + 1)
	shortname=$(echo ${shortname}_$num)
	echo $num > $TMPFILE

    fi
    }
    dirchk $shortname
    #[ x != x$(echo "$name" | grep -i Lenovo) ]&&sleep 10
    mkdir -p %buildroot%_datadir/wallpapers/$shortname/$imgpath
    size=$(convert $name -print "%wx%h\n" /dev/null)
    echo "SIZE:$size"
    cp -f $name %buildroot%_datadir/wallpapers/$shortname/$imgpath/$size.png
    convert -scale 400 $name %buildroot%_datadir/wallpapers/$shortname/contents/screenshot.jpg
cat> %buildroot%_datadir/wallpapers/$shortname/metadata.desktop<<EOF
[Desktop Entry]
Name=$shortname
Name[x-test]=xxExamplexx
X-KDE-PluginInfo-Name=$shortname
X-KDE-PluginInfo-Author=Zoltan Smoky Somogyi (blackPanther Community)
X-KDE-PluginInfo-Email=community@blackpanther.hu
X-KDE-PluginInfo-License=LGPLv3
EOF
    
done
cd ..
done
rm -f $TMPFILE

## változásnapló
%changelog
* Fri Jun 8 2018 Somogyi Zoltan <info@blackpanther.hu> 0.1-1bP
- build for blackPanther OS v16.x
- megtanultuk az RPM készítést smokyval
--------------------------------------------------------------
* Thu Jun 7 2018 Charles Barcza <info@blackpanther.hu> 0.1-1bP
- build for blackPanther OS v16.x
--------------------------------------------------------------
